import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/my',
    component: AppLayout,
    meta: { requireLogin: true },
    children: [
      { path: '', component: () => import('./views/Index.vue') },
      { path: 'course', component: () => import('./views/Course.vue') }
    ]
  }
]
